###############################################################################
#
# Logic event handlers
# schaltet eine SQL-LED an GPIO9 für SIGLEV,CTCSS,VOX
# überschreibt Logic.tcl proc squelch_open
#
###############################################################################

namespace eval Logic {

#
# Executed each time the squelch is opened or closed
#   rx_id   - The ID of the RX that the squelch opened/closed on
#   is_open - Set to 1 if the squelch is open or 0 if it's closed
#
proc squelch_open {rx_id is_open} {
  variable sql_rx_id;
#  puts "The squelch is $is_open on RX $rx_id";
  set sql_rx_id $rx_id;
	if {$is_open==1} { exec echo 1 >/sys/class/gpio/gpio9/value; } 
	if {$is_open==0} { exec echo 0 >/sys/class/gpio/gpio9/value; } 

}

# end of namespace
}
